import { Description } from "./Description";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class RingSeriesBaseDescription extends Description {
    static $t: Type;
    private a6;
    get tooltipTemplateRef(): string;
    set tooltipTemplateRef(a: string);
    private ay;
    get legendRef(): string;
    set legendRef(a: string);
    private ak;
    get fontFamily(): string;
    set fontFamily(a: string);
    private l;
    get fontSize(): number;
    set fontSize(a: number);
    private am;
    get fontWeight(): string;
    set fontWeight(a: string);
    private al;
    get fontStyle(): string;
    set fontStyle(a: string);
    protected get_type(): string;
    get type(): string;
    constructor();
    private aj;
    get dataSourceRef(): string;
    set dataSourceRef(a: string);
    private a7;
    get valueMemberPath(): string;
    set valueMemberPath(a: string);
    private aq;
    get labelMemberPath(): string;
    set labelMemberPath(a: string);
    private ax;
    get legendLabelMemberPath(): string;
    set legendLabelMemberPath(a: string);
    private as;
    get labelsPosition(): string;
    set labelsPosition(a: string);
    private aw;
    get leaderLineVisibility(): string;
    set leaderLineVisibility(a: string);
    private at;
    get leaderLineFill(): string;
    set leaderLineFill(a: string);
    private au;
    get leaderLineStroke(): string;
    set leaderLineStroke(a: string);
    private p;
    get leaderLineStrokeThickness(): number;
    set leaderLineStrokeThickness(a: number);
    private o;
    get leaderLineOpacity(): number;
    set leaderLineOpacity(a: number);
    private av;
    get leaderLineType(): string;
    set leaderLineType(a: string);
    private n;
    get leaderLineMargin(): number;
    set leaderLineMargin(a: number);
    private s;
    get othersCategoryThreshold(): number;
    set othersCategoryThreshold(a: number);
    private a2;
    get othersCategoryType(): string;
    set othersCategoryType(a: string);
    private a1;
    get othersCategoryText(): string;
    set othersCategoryText(a: string);
    private an;
    get formatLabelRef(): string;
    set formatLabelRef(a: string);
    private ao;
    get formatLegendLabelRef(): string;
    set formatLegendLabelRef(a: string);
    private m;
    get labelExtent(): number;
    set labelExtent(a: number);
    private w;
    get startAngle(): number;
    set startAngle(a: number);
    private az;
    get othersCategoryFill(): string;
    set othersCategoryFill(a: string);
    private a0;
    get othersCategoryStroke(): string;
    set othersCategoryStroke(a: string);
    private r;
    get othersCategoryStrokeThickness(): number;
    set othersCategoryStrokeThickness(a: number);
    private q;
    get othersCategoryOpacity(): number;
    set othersCategoryOpacity(a: number);
    private a4;
    get selectedSliceFill(): string;
    set selectedSliceFill(a: string);
    private a5;
    get selectedSliceStroke(): string;
    set selectedSliceStroke(a: string);
    private v;
    get selectedSliceStrokeThickness(): number;
    set selectedSliceStrokeThickness(a: number);
    private u;
    get selectedSliceOpacity(): number;
    set selectedSliceOpacity(a: number);
    private f;
    get brushes(): string[];
    set brushes(a: string[]);
    private g;
    get outlines(): string[];
    set outlines(a: string[]);
    private ar;
    get labelOuterColor(): string;
    set labelOuterColor(a: string);
    private ap;
    get labelInnerColor(): string;
    set labelInnerColor(a: string);
    private j;
    get isSurfaceInteractionDisabled(): boolean;
    set isSurfaceInteractionDisabled(a: boolean);
    private t;
    get radiusFactor(): number;
    set radiusFactor(a: number);
    private a3;
    get propertyUpdatedRef(): string;
    set propertyUpdatedRef(a: string);
}
